Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.search
Class CMSFederatedSearch

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.search.impl.AbstractFederatedSearcher
                      org.jboss.portal.cms.search.CMSFederatedSearch

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.portal.search.FederatedSearcher, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class CMSFederatedSearch

extends org.jboss.portal.search.impl.AbstractFederatedSearcher

Version:
  $Revision$
Author:
  Thomas Heute

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`CMSFederatedSearch(java.lang.String id)`

Method Summary
`org.jboss.portal.search.QueryConverter` | `getQueryConverter()`
`org.jboss.portal.search.result.ResultSet` | `search(org.jboss.portal.search.Query query)`
`void` | `setCMS(CMS cms)`

Methods inherited from class org.jboss.portal.search.impl.AbstractFederatedSearcher
`getDisplayName, getId, setDisplayName, setId`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSFederatedSearch

    public CMSFederatedSearch(java.lang.String id)

Method Detail

### setCMS

    public void setCMS(CMS cms)

### search

    public org.jboss.portal.search.result.ResultSet search(org.jboss.portal.search.Query query)

### getQueryConverter

    public org.jboss.portal.search.QueryConverter getQueryConverter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.